scalatest

The Scalatest test framework (https://www.scalatest.org/)

Backend: pants.backend.experimental.scala
Config section: [scalatest]

Basic options

args

--scalatest-args="[<shell_str>, <shell_str>, ...]", ... -- [<shell_str> [<shell_str> [...]]]
PANTS_SCALATEST_ARGS
default: []

Arguments to pass directly to Scalatest, e.g. --scalatest-args='-t $testname'.

See https://www.scalatest.org/user_guide/using_the_runner for supported arguments.


Advanced options

version

--scalatest-version=<str>
PANTS_SCALATEST_VERSION
default: 3.2.10

Version string for the tool. This is available for substitution in the [scalatest].artifacts option by including the string {version}.


artifacts

--scalatest-artifacts="['<str>', '<str>', ...]"
PANTS_SCALATEST_ARTIFACTS
default:
[
  "org.scalatest:scalatest_2.13:{version}"
]

Artifact requirements for this tool using specified as either the address of a jvm_artifact target or, alternatively, as a colon-separated Maven coordinates (e.g., group:name:version). For Maven coordinates, the string {version} version will be substituted with the value of the [scalatest].version option.


lockfile

--scalatest-lockfile=<str>
PANTS_SCALATEST_LOCKFILE
default: <default>

Path to a lockfile used for installing the tool.

Set to the string <default> to use a lockfile provided by Pants, so long as you have not changed the --version option. See https://github.com/pantsbuild/pants/blob/release_2.11.1rc2/src/python/pants/backend/scala/subsystems/scalatest.default.lockfile.txt for the default lockfile contents.

To use a custom lockfile, set this option to a file path relative to the build root, then run ./pants jvm-generate-lockfiles --resolve=scalatest.


Deprecated options

None


Did this page help you?